﻿@using PagedList.Mvc;
@using PagedList; 
@model  PagedList<DAweb.Models.tblSanPham>
@{
    ViewBag.Title = "KetQuaTimKiem";
    Layout = "~/Views/Layout/NguoiDungLayout.cshtml";
}
@* div body cua index*@
<div class="right-main">
    <div class="wrap-cat-product">
        <div class="head-wrap-category">
            <div class="h3">
                <span> @ViewBag.ThongBao</span> <br />
            </div>
        </div>    
        <div class="content">
           
            <ul class="list-product isotope">
                @{ int i = 0;
                }
                @foreach (var item in Model)
                {
                    i++;
                    if (i < 4)
                    {
                <li>
                    <a class="thumbnail" href="@Url.Action("SanPhamChiTiet","SanPham",new {@masp=item.MaSP})">
                        <img src="@Url.Content("~/App_Themes/HinhAnhSanPham/" + item.AnhMinhHoa)" class="img-responsive" alt="" style="width:210px; height:260px" />
                        <span class="lbl lbl-new"></span>
                    </a>
                    <h4>
                        <a href="@Url.Action("SanPhamChiTiet","SanPham",new {@masp=item.MaSP})">@item.TenSP</a>
                    </h4>
                    <div id="DonGia" style="color:orange">
                        <span class="price">
                            <font color="Green">Giá:</font> @String.Format("{0:0,0}", item.GiaTien) VNĐ
                        </span>
                    </div>
                    <a href="#" class="button-cart">
                        <i class="fa fa-shopping-cart"></i>
                    </a>
                </li>
                    }
                    if (i == 4)
                    {
                        <li class="no_magrin_right">
                            <a class="thumbnail" href="@Url.Action("SanPhamChiTiet","SanPham",new {@masp=item.MaSP})">
                                <img src="@Url.Content("~/App_Themes/HinhAnhSanPham/" + item.AnhMinhHoa)" alt="" style="width:210px; height:260px" />
                                <span class="lbl lbl-new"></span>
                            </a>
                            <h4>
                                <a href="@Url.Action("SanPhamChiTiet","SanPham",new {@masp=item.MaSP})">@item.TenSP</a>
                            </h4>
                            <div id="DonGia" style="color:orange">
                                <span class="price">
                                    <font color="Green">Giá:</font> @String.Format("{0:0,0}", item.GiaTien) VNĐ

                                </span>
                            </div>
                            <a href="@Url.Action("ThemGioHang","GioHang",new {@masp=item.MaSP,@strURL = Request.Url.ToString()})" class="button-cart">
                                <i class="fa fa-shopping-cart"></i>
                            </a>
                        </li>
                        i = 0;
                    }
                }
            </ul>

        </div>
        <div class="text-center">
            @* Tạo link liên kết các trang*@
            Trang @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber)/ @Model.PageCount
            <div class="MenuTrang">
                @Html.PagedListPager(Model, page => Url.Action("KetQuaTimKiem", new { page = page, @sTuKhoa = ViewBag.TuKhoa }))
            </div>
            <style>
                .MenuTrang li {
                    display: inline;
                    background-color: #edeae9;
                }
            </style>

        </div>
    </div>
</div>





